# class Chef::Provider::RemoteFile

### Public Class Methods

new(new_resource, run_context) click to toggle source
Calls superclass method Chef::Provider::File.new

    # File lib/chef/provider/remote_file.rb, line 32
    def initialize(new_resource, run_context)
      @content_class = Chef::Provider::RemoteFile::Content
      super
    end

### Public Instance Methods

load_current_resource() click to toggle source
Calls superclass method Chef::Provider::File#load_current_resource

    # File lib/chef/provider/remote_file.rb, line 37
    def load_current_resource
      @current_resource = Chef::Resource::RemoteFile.new(@new_resource.name)
      super
    end